Forums/NYLS Knowledge Base/AudioVisual Support

Class Capture & Multimedia for Distance Learning: System Requirements for Mediasite Player

Michael
posted this on February 23, 2012 09:47 AM

Mediasite Player requires the Microsoft Silverlight Plugin, to test if your system has the proper plugin, click here <LINK>.

Mediasite Player requirements 

Windows

  • Microsoft® Windows 7,  Windows 2008, Windows Vista, Windows XP, Windows 2003
  • Internet Explorer 6.0 SP1 or later, Firefox® 2.0 or later, or Google™ Chrome 1.0
  • Windows Media® Player 9.0 or later
  • Microsoft Silverlight 3.0 or later, if using Mediasite’s new Silverlight Players*
  • Broadband Internet connection (256Kbps or more)

Apple

  • Mac OS X 10.4.8 or later
  • Safari™ 2.0.4 or later or Firefox 2.0 or later
  • Microsoft Silverlight 3.0 or later if using Mediasite’s new Silverlight Players or Silverlight 1.0 or later if using Mediasite’s classic Players*
  • Broadband Internet connection (256Kbps or more)

Linux

  • SUSE Linux Enterprise Desktop 10, openSUSE 11.0 or later, Ubuntu 8.04, or Fedora Core 9
  • Firefox 2.0 or 3.0 depending on Linux operating system
  • Moonlight™ 1.0
  • Microsoft Media Pack for Moonlight
  • Broadband Internet connection (256Kbps or more)

*If Mediasite does not detect Silverlight on your computer when viewing a presentation, you will be 

automatically prompted to install the plug-in. Silverlight only needs to be installed once and will 

then be available for watching any future Mediasite presentations.